
From: Bartlomiej Zolnierkiewicz <B.Zolnierkiewicz@elka.pw.edu.pl>

Also print the same warning as on m68k on other archs too.

Signed-off-by: Bartlomiej Zolnierkiewicz <bzolnier@elka.pw.edu.pl>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-m68k/ide.h |   13 -------------
 25-akpm/include/linux/ide.h    |   14 ++++++++------
 2 files changed, 8 insertions(+), 19 deletions(-)

diff -puN include/asm-m68k/ide.h~ide-use-generic-ide_init_hwif_ports-on-m68k include/asm-m68k/ide.h
--- 25/include/asm-m68k/ide.h~ide-use-generic-ide_init_hwif_ports-on-m68k	Tue Jun  1 17:06:31 2004
+++ 25-akpm/include/asm-m68k/ide.h	Tue Jun  1 17:06:31 2004
@@ -61,19 +61,6 @@ static __inline__ unsigned long ide_defa
           return 0;
 }
 
-
-/*
- * Set up a hw structure for a specified data port, control port and IRQ.
- * This should follow whatever the default interface uses.
- */
-static __inline__ void ide_init_hwif_ports(hw_regs_t *hw,
-					   unsigned long data_port,
-					   unsigned long ctrl_port, int *irq)
-{
-	if (data_port || ctrl_port)
-		printk("ide_init_hwif_ports: must not be called\n");
-}
-
 #define ide_init_default_irq(base)	(0)
 
 /*
diff -puN include/linux/ide.h~ide-use-generic-ide_init_hwif_ports-on-m68k include/linux/ide.h
--- 25/include/linux/ide.h~ide-use-generic-ide_init_hwif_ports-on-m68k	Tue Jun  1 17:06:31 2004
+++ 25-akpm/include/linux/ide.h	Tue Jun  1 17:07:00 2004
@@ -308,11 +308,7 @@ static inline void ide_std_init_ports(hw
 /*
  * ide_init_hwif_ports() is OBSOLETE and will be removed in 2.7 series.
  * New ports shouldn't define IDE_ARCH_OBSOLETE_INIT in <asm/ide.h>.
- *
- * m68k and m68knommu (broken)
- * still have their own versions.
  */
-#ifndef CONFIG_M68K
 #ifdef IDE_ARCH_OBSOLETE_INIT
 static inline void ide_init_hwif_ports(hw_regs_t *hw,
 				       unsigned long io_addr,
@@ -335,9 +331,15 @@ static inline void ide_init_hwif_ports(h
 #endif
 }
 #else
-# define ide_init_hwif_ports(hw, io, ctl, irq)	do {} while (0)
+static inline void ide_init_hwif_ports(hw_regs_t *hw,
+				       unsigned long io_addr,
+				       unsigned long ctl_addr,
+				       int *irq)
+{
+	if (io_addr || ctl_addr)
+		printk(KERN_WARNING "%s: must not be called\n", __FUNCTION__);
+}
 #endif /* IDE_ARCH_OBSOLETE_INIT */
-#endif /* !M68K */
 
 /* Currently only m68k, apus and m8xx need it */
 #ifndef IDE_ARCH_ACK_INTR
_
